use crate::value::Value;

type StackLocation = usize;
#[derive(PartialEq, Debug)]
pub enum OpValue {
	Literal(Value),
	Ref(StackLocation)
}

#[derive(PartialEq, Debug)]
pub enum OpCode {
	// Function, arguments
	Call(OpValue, Option<Vec<OpValue>>),
	// Return Values
	Return(Option<Vec<OpValue>>),
	// Table, index 
	Index(OpValue, OpValue),
	// Table, index, value
	SetIndex(OpValue, OpValue, OpValue),
}